### Method

# WPEPlatform Toplevel get_preferred_dma_buf_formats

#### Declaration [src]

    WPEBufferDMABufFormats*
    wpe_toplevel_get_preferred_dma_buf_formats (
      WPEToplevel* toplevel
    )

#### Description [src]

Get the list of preferred DMA-BUF buffer formats for `toplevel`.

#### Return value

Type: `WPEBufferDMABufFormats`

A `WPEBufferDMABufFormats`.

The returned data is owned by the instance.
The return value can be `NULL`.